#! /usr/bin/env python

# -*- coding: iso-latin-1 -*-
__docformat__ = 'reStructuredText'
__autodoc__ = ['read']

from Numeric import *
from Scientific.IO.NetCDF import *
import time

"""

SYNOPSIS
========

$ python read.py

DESCRIPTION
===========

read TROPFLUX file ${TROPFLUX_D}/TropFlux_19890101_20091231.nc

plot ++

EXAMPLES
========

::

 $ read.py

SEE ALSO
========


TODO
====

make it usable for real end-user

learn python

ok on zeus, not ok on aedon because of ImportError: No module named Numeric

EVOLUTIONS
==========

- fplod 20110106T133620Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation to prevent Netcdf problem on TROPFLUX dataset
    draft

"""

yyyymmdd_b=19890101;
yyyymmdd_e=20091231;
#
filename = 'TropFlux_' + str(yyyymmdd_b) + '_' + str(yyyymmdd_e) + '.nc'
fullfilename = '/usr/zeus/incas/fplod/tropflux_d/' + filename
#
file = NetCDFFile(fullfilename, 'r')
print file.dimensions
print file.variables
#
# close NetCDF file
file.close()


